ata_dev_classify
Prev | Chapter 4. libata Library | Next

## Name

ata_dev_classify — determine device type based on ATA-spec signature

## Synopsis

`unsigned int ata_dev_classify (` | const struct ata_taskfile * | tf`)`;

## Arguments

`tf`

  ATA taskfile register set for device to be identified

## Description

Determine from taskfile register contents whether a device is ATA or ATAPI, as per “Signature and persistence” section of ATA/PI spec (volume 1, sect 5.14).

## LOCKING

None.

## RETURNS

Device type, `ATA_DEV_ATA`, `ATA_DEV_ATAPI`, `ATA_DEV_PMP` or `ATA_DEV_UNKNOWN` the event of failure.

Prev | Up | Next
ata_mode_string | Home | ata_dev_try_classify